{
  pkgs,
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkOption types;
  cfg = config.programs.meat;
in
{
  options.programs.meat = {
    enable = mkEnableOption "meat";
    flake = mkOption {
      type = with types; either path str;
      description = "path to your system flake";
    };
    package = mkOption {
      type = types.package;
      description = "your ideal meat";
    };
  };
  config = lib.mkIf cfg.enable {
    environment.sessionVariables.MEATS = cfg.flake;
    environment.systemPackages = [
      cfg.package
      pkgs.nh # for now..
    ];
  };
}
